@echo off
:: Avvia MediaMTX e FFmpeg per lo streaming desktop

:: Conf
:: Use %~dp0 to refer to the directory where this script is located
set "SCRIPT_DIR=%~dp0"
set "MEDIAMTX_EXE=C:\Users\Docente\Documents\Tmd\mediamtx\mediamtx.exe"
:: Configurare Yaml con il nome dello stream!
set "MEDIAMTX_YML=C:\Users\Docente\Documents\Tmd\mediamtx\mediamtx.yml"
set "FFMPEG_EXE=C:\Users\Docente\scoop\shims\ffmpeg.exe"

:: Nome stream
set "STREAM_NAME=mystream"

:: Fine Conf

:: Uccidi processi già avviati
echo Checking for existing processes...
taskkill /IM mediamtx.exe /F > nul 2>&1
taskkill /IM ffmpeg.exe /F > nul 2>&1
timeout /t 1 /nobreak > nul

:: Avvia MediaMTX in una finestra nascosta
echo Starting MediaMTX Server...
start "MediaMTX Server" /B "%MEDIAMTX_EXE%" %MEDIAMTX_YML%"

:: Aspetta l'avvio di MediaMTX
echo Waiting for server...
timeout /t 3 /nobreak > nul

:: Avvia FFmpeg
echo Starting FFmpeg Desktop Stream...
start "FFmpeg Stream" /B "%FFMPEG_EXE%" -re -f gdigrab -framerate 24 -i desktop -c:v libx264 -profile:v baseline -preset ultrafast -tune zerolatency -pix_fmt yuv420p -b:v 1024k -f rtsp -rtsp_transport tcp rtsp://localhost:8554/mystream

echo.
echo Lo streaming dovrebbe essere avviato nel background.
echo MediaMTX ascolta, Avviare Vlc, File, Apri flusso di rete... , e incollare
echo rtsp://10.10.33.100:8554/%STREAM_NAME%
timeout /t 10 > nul

exit /b