@echo off
:: Batch script to stop MediaMTX and FFmpeg processes

echo Stopping streaming processes...

taskkill /IM ffmpeg.exe /F /T > nul 2>&1
if "%ERRORLEVEL%"=="0" (
    echo FFmpeg stopped.
) else (
    echo FFmpeg was not running or could not be stopped.
)

timeout /t 1 /nobreak > nul

taskkill /IM mediamtx.exe /F /T > nul 2>&1
if "%ERRORLEVEL%"=="0" (
    echo MediaMTX stopped.
) else (
    echo MediaMTX was not running or could not be stopped.
)

echo.
echo Done.
pause